Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.restrictions.alm
Interface IALRestrictionManager

All Superinterfaces:
  IRestrictionManager

All Known Implementing Classes:
  ALRestrictionManager

    public interface IALRestrictionManager

extends IRestrictionManager

The AL Restriction Manager Interface.

Since:
  uPortal 2.5
Version:
  $Revision: 1.1 $
Author:
  Michael Ivanov

Method Summary
`boolean` | `checkRestriction(ALNode node, java.lang.String restrictionName, java.lang.String propertyValue)` Checks the local restriction specified by the parameters below.
`boolean` | `checkRestriction(ALNode node, java.lang.String restrictionName, java.lang.String restrictionPath, java.lang.String propertyValue)` Checks the restriction specified by the parameters below.

Methods inherited from interface org.jasig.portal.layout.restrictions.IRestrictionManager
`checkAddRestrictions, checkDeleteRestrictions, checkDepthRestrictions, checkDepthRestrictions, checkMoveRestrictions, checkRestriction, checkRestriction, checkUpdateRestrictions, setUserLayout`

Method Detail

### checkRestriction

    boolean checkRestriction(ALNode node,
                             java.lang.String restrictionName,
                             java.lang.String restrictionPath,
                             java.lang.String propertyValue)
                             throws PortalException

  Checks the restriction specified by the parameters below.

  Parameters:
    `node` - a `ALNode` node to be checked
    `restrictionName` - a restriction name
    `restrictionPath` - a `String` restriction path
    `propertyValue` - a `String` property value to be checked
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### checkRestriction

    boolean checkRestriction(ALNode node,
                             java.lang.String restrictionName,
                             java.lang.String propertyValue)
                             throws PortalException

  Checks the local restriction specified by the parameters below.

  Parameters:
    `node` - a `ALNode` node to be checked
    `restrictionName` - a restriction name
    `propertyValue` - a `String` property value to be checked
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD